Package org.drinkless.tdlib

# Class TdApi.DeleteChatMessagesByDate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DeleteChatMessagesByDate

Enclosing class:
  TdApi

public static class TdApi.DeleteChatMessagesByDate extends TdApi.Function<TdApi.Ok>
Deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `maxDate`
  The maximum date of the messages to delete.
  `int`
  `minDate`
  The minimum date of the messages to delete.
  `boolean`
  `revoke`
  Pass true to delete chat messages for all users; private chats only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteChatMessagesByDate()`
  Default constructor for a function, which deletes all messages between the specified dates in a chat.
  `DeleteChatMessagesByDate(long chatId, int minDate, int maxDate, boolean revoke)`
  Creates a function, which deletes all messages between the specified dates in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### minDate

    public int minDate
    The minimum date of the messages to delete.

  - ### maxDate

    public int maxDate
    The maximum date of the messages to delete.

  - ### revoke

    public boolean revoke
    Pass true to delete chat messages for all users; private chats only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteChatMessagesByDate

    public DeleteChatMessagesByDate()
    Default constructor for a function, which deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

    Returns `Ok`

  - ### DeleteChatMessagesByDate

    public DeleteChatMessagesByDate(long chatId, int minDate, int maxDate, boolean revoke)
    Creates a function, which deletes all messages between the specified dates in a chat. Supported only for private chats and basic groups. Messages sent in the last 30 seconds will not be deleted.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `minDate` - The minimum date of the messages to delete.
      `maxDate` - The maximum date of the messages to delete.
      `revoke` - Pass true to delete chat messages for all users; private chats only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR